Subject: Re: [Lsr] Alvaro Retana's No Objection on draft-ietf-lsr-yang-isis-reverse-metric-04: (with COMMENT)

From: Christian Hopps <[email-masked]>
Date: Sat, 11 Dec 2021 05:03:52 -0500

Alvaro Retana via Datatracker <[email-masked]> writes:

> Alvaro Retana has entered the following ballot position for
> draft-ietf-lsr-yang-isis-reverse-metric-04: No Objection
>
> When responding, please keep the subject line intact and reply to all
> email addresses included in the To and CC lines. (Feel free to cut this
> introductory paragraph, however.)
>
>
> Please refer to https://www.ietf.org/blog/handling-iesg-ballot-positions/
> for more information about how to handle DISCUSS and COMMENT positions.
>
>
> The document, along with other ballot positions, can be found here:
> https://datatracker.ietf.org/doc/draft-ietf-lsr-yang-isis-reverse-metric/
>
>
>
> ----------------------------------------------------------------------
> COMMENT:
> ----------------------------------------------------------------------
>
> whole-lan is only applicable to multi-access interfaces.  I was expecting
> something similar to how "priority" is defined (in the main module), but I
> can't find that here.  Am I missing something?

Do you mean to make it conditional based on the interface type? I looked at doing this and I believe it would involve breaking apart the groupings, then duplicating that grouping data into received in TLV vs configuration, then leaving out the W flag bit config from the configuration grouping, and then conditionally augmenting that W bit config back in at each of the three locations under the interface.

This seems like a lot of "inelegant" changes to add this automated check to the YANG. The implementations are already bound by RFC8500 to DTRT WRT the W bit and LAN/Non-LAN interfaces. I think perhaps that's enough.

Thanks,
Chris.

>
>
>
> _______________________________________________
> Lsr mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/lsr